## org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog
Class SQLBuilderUIComponentService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.UIComponentService
          org.eclipse.datatools.sqltools.sqlbuilder.sqlbuilderdialog.SQLBuilderUIComponentService

    public class SQLBuilderUIComponentService

extends org.eclipse.datatools.sqltools.core.services.UIComponentService

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.core.services.UIComponentService
`DELETE, INSERT, KEY_FILE, PARAMETER, SELECT, UPDATE, VARIABLE`

Constructor Summary
`SQLBuilderUIComponentService()`

Method Summary
`SQLPainterDlg` `getDMLDialog(org.eclipse.swt.widgets.Shell parentShell, java.lang.String statementType, java.lang.String statement, java.lang.String profileName, java.lang.String database, java.lang.String parametersType, java.lang.String parameter, java.lang.String table, java.util.HashMap info)`
`boolean` `supportsDMLDialog()`

Methods inherited from class org.eclipse.datatools.sqltools.core.services.UIComponentService
`getParameterTableDialog, getProfileWizard`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLBuilderUIComponentService

    public SQLBuilderUIComponentService()

Method Detail

### getDMLDialog

    public SQLPainterDlg getDMLDialog(org.eclipse.swt.widgets.Shell parentShell,
                                      java.lang.String statementType,
                                      java.lang.String statement,
                                      java.lang.String profileName,
                                      java.lang.String database,
                                      java.lang.String parametersType,
                                      java.lang.String parameter,
                                      java.lang.String table,
                                      java.util.HashMap info)

  Overrides:
    `getDMLDialog` in class `org.eclipse.datatools.sqltools.core.services.UIComponentService`

### supportsDMLDialog

    public boolean supportsDMLDialog()

  Overrides:
    `supportsDMLDialog` in class `org.eclipse.datatools.sqltools.core.services.UIComponentService`